> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner transaction by reference



## OpenAPI

````yaml /openapi/partner.openapi.json get /partner/transaction/{reference}
openapi: 3.0.3
info:
  title: Partner API
  version: 1.0.0
  description: OpenAPI spec for Partner Terminal and Transaction API
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security: []
tags:
  - name: Partner Terminal
  - name: Partner Transactions
paths:
  /partner/transaction/{reference}:
    get:
      tags:
        - Partner Transactions
      summary: Get partner transaction by reference
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transaction details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPartnerTransaction'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    IPartnerTransaction:
      type: object
      required:
        - Amount
        - Fee
        - Commission
        - Net
        - Reference
        - Sender
        - SenderDetails
        - Recipient
        - Status
        - Comment
        - Date
        - Metadata
      properties:
        Amount:
          type: number
        Fee:
          type: number
        Commission:
          type: number
        Net:
          type: number
        Reference:
          type: string
        Sender:
          type: string
        SenderDetails:
          $ref: '#/components/schemas/TransactionPartyDetail'
        Recipient:
          type: string
        Status:
          $ref: '#/components/schemas/TransactionStatus'
        CompletedAt:
          type: string
          format: date-time
        Comment:
          type: string
        Date:
          type: string
          format: date-time
        Metadata:
          type: object
          additionalProperties: true
        Terminal:
          $ref: '#/components/schemas/IPartnerTerminal'
    TransactionPartyDetail:
      type: object
      required:
        - Name
        - Amount
        - Fee
        - Currency
      properties:
        Name:
          type: string
        Paytag:
          type: string
        ProfileImage:
          type: string
        Type:
          $ref: '#/components/schemas/AccountType'
        External:
          type: boolean
        Amount:
          type: number
        Fee:
          type: number
        Currency:
          $ref: '#/components/schemas/WalletCurrency'
    TransactionStatus:
      type: string
      enum:
        - Pending
        - Failed
        - Successful
        - Cancelled
        - Expired
        - Pending Review
        - Waiting on Provider
    IPartnerTerminal:
      type: object
      required:
        - SerialNumber
        - TerminalID
        - Merchant
        - Email
        - PhoneNumber
        - Status
        - CreatedAt
        - Metadata
        - PayTag
        - Balance
      properties:
        SerialNumber:
          type: string
        TerminalID:
          type: string
        Merchant:
          type: string
        Email:
          type: string
        PhoneNumber:
          type: string
        Status:
          type: string
        CreatedAt:
          type: string
          format: date-time
        Metadata:
          type: object
          additionalProperties: true
        PayTag:
          type: string
        Balance:
          type: number
        Qr:
          type: string
    AccountType:
      type: string
      enum:
        - AdminAuth
        - Customer
        - Merchant
        - MerchantUser
        - Partner
    WalletCurrency:
      type: string
      enum:
        - NGN
        - FP
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````